> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/accounts-api/api-reference/organizations/profile.md).

# Profile

## GET /organizations/{organizationId}/profile

> Get business profile

```json
{"openapi":"3.0.3","info":{"title":"Accounts","version":"v1"},"tags":[{"description":"Organizations are the top-level object for every customer. They contain the entities to work with the Nest services.","name":"organization"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"BusinessProfile":{"type":"object","title":"BusinessProfile","additionalProperties":false,"properties":{"id":{"description":"The profile ID","type":"string","format":"uuid"},"version":{"type":"integer","description":"The version of the business profile"},"name":{"type":"string","description":"The name under which this business is commonly referred to.","maxLength":256},"domain":{"$ref":"#/components/schemas/DomainName"},"legalName":{"type":"string","description":"The name under which this business is registered.","maxLength":256},"logoUrl":{"type":"string","pattern":"^|https://"},"socialMedia":{"type":"array","items":{"$ref":"#/components/schemas/BusinessProfileSocialMedia"},"nullable":true},"businessDetails":{"type":"object","title":"BusinessDetails","additionalProperties":false,"properties":{"entityType":{"type":"string"},"type":{"type":"string","description":"The business type.","enum":["unknown","public","private","personal","education","government","nonprofit"]},"incorporationJurisdiction":{"type":"string"},"registrationNumber":{"type":"string"},"taxIdentificationNumber":{"type":"string"},"vatNumber":{"type":"string"},"vatNumberStatus":{"type":"string","enum":["none","pending","valid","invalid"]},"lei":{"type":"string"},"duns":{"type":"string"},"giin":{"type":"string"},"industryGroup":{"type":"string"},"businessDescription":{"type":"string"},"goodsOrServicesDescription":{"type":"string"},"businessStartDate":{"type":"string"},"numberOfEmployees":{"type":"integer","format":"int32","minimum":0},"annualRevenue":{"type":"integer","format":"int64","minimum":0},"currency":{"type":"string"},"operatingCountries":{"type":"array","items":{"type":"string"},"nullable":true},"publiclyListed":{"type":"boolean"},"stockExchange":{"type":"string"},"tickerSymbol":{"type":"string"}}},"addressInformation":{"type":"object","title":"AddressInformation","additionalProperties":false,"properties":{"registeredAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"},"operatingAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"},"mailingAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"},"billingAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"}}},"contactInformation":{"type":"object","title":"ContactInformation","additionalProperties":false,"properties":{"primaryPhone":{"type":"string"},"secondaryPhone":{"type":"string"},"primaryEmail":{"type":"string"},"invoicingEmail":{"type":"string"},"website":{"type":"string","format":"uri"}}},"documents":{"type":"array","items":{"$ref":"#/components/schemas/BusinessProfileDocument"},"nullable":true},"ultimateBeneficialOwners":{"type":"array","items":{"$ref":"#/components/schemas/BusinessProfileUbo"},"nullable":true},"significantContacts":{"type":"object","title":"SignificantContacts","properties":{"contacts":{"type":"array","description":"Organization's significant contacts.","items":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string"},"email":{"type":"string"},"contactCategories":{"type":"array","items":{"type":"string"}},"phone":{"type":"string","maxLength":24}}}},"predefinedContactCategories":{"type":"array","items":{"type":"string","description":"Predefined contact categories. Ignored in update request."}}}}}},"DomainName":{"type":"string","description":"Domain name.","format":"domain","pattern":"^(([a-zA-Z0-9]([a-zA-Z0-9\\-]{0,61}[a-zA-Z0-9])?\\.)+[a-zA-Z]{2,})?$","maxLength":253},"BusinessProfileSocialMedia":{"type":"object","title":"BusinessProfileSocialMedia","description":"Social media links for the business profile","additionalProperties":false,"properties":{"platform":{"type":"string","description":"The social media platform","maxLength":64},"handle":{"type":"string","description":"The name or handle used on the platform","maxLength":256,"pattern":"^|[A-Za-z0-9_]+$"}}},"BusinessProfileAddress":{"type":"object","title":"BusinessProfileAddress","additionalProperties":false,"properties":{"streetName":{"type":"string","maxLength":256},"streetNumber":{"type":"string","maxLength":256},"city":{"type":"string","maxLength":256},"postalCode":{"type":"string","maxLength":256},"state":{"type":"string","maxLength":256},"countryCode":{"type":"string","description":"The ISO-3166-1 Alpha-2 code for the country.","pattern":"^|[A-Z]{2}$"},"addressType":{"type":"string","maxLength":256}}},"BusinessProfileDocument":{"type":"object","title":"BusinessProfileDocument","description":"Document details for the business profile","additionalProperties":false,"properties":{"fileUrls":{"type":"array","description":"List of URLs where the document can be accessed","items":{"type":"string","format":"uri"}},"documentType":{"type":"string","description":"Type of the document","maxLength":128}}},"BusinessProfileUbo":{"type":"object","title":"BusinessProfileUbo","description":"Ultimate Beneficial Owner (UBO) details for the business profile","additionalProperties":false,"properties":{"ownershipPercentage":{"type":"integer","description":"Percentage of ownership held by the UBO"},"ownershipType":{"type":"string","description":"Type of ownership"},"controlType":{"type":"string","description":"Type of control"},"personalInformation":{"type":"object","properties":{"title":{"type":"string"},"firstName":{"type":"string"},"middleName":{"type":"string"},"lastName":{"type":"string"},"fullName":{"type":"string"},"dateOfBirth":{"type":"string"},"placeOfBirth":{"type":"string"},"nationality":{"type":"string"},"citizenships":{"type":"array","items":{"type":"string"}},"gender":{"type":"string"},"maritalStatus":{"type":"string"},"identificationNumber":{"type":"string"}}},"identificationDocuments":{"type":"array","items":{"type":"object","properties":{"fileUrls":{"type":"array","items":{"type":"string"}},"documentType":{"type":"string"},"documentNumber":{"type":"string"},"issuingCountry":{"type":"string"},"issueDate":{"type":"string"},"expiryDate":{"type":"string"},"issuingAuthority":{"type":"string"}}}},"addressInformation":{"type":"object","properties":{"residentialAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"},"mailingAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"}}},"contactInformation":{"type":"object","properties":{"primaryPhone":{"type":"string"},"primaryEmail":{"type":"string"},"preferredContactMethod":{"type":"string"}}},"employmentInformation":{"type":"object","properties":{"position":{"type":"string"},"employer":{"type":"string"},"employmentStartDate":{"type":"string"},"annualIncome":{"type":"integer","format":"int64"},"currency":{"type":"string"},"sourceOfWealth":{"type":"string"}}},"politicalExposure":{"type":"object","properties":{"isPoliticallyExposed":{"type":"boolean"},"pepCategory":{"type":"string"},"pepDetails":{"type":"string"},"familyMemberPep":{"type":"boolean"},"closeAssociatePep":{"type":"boolean"}}}}},"Error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Unique identifier for the error that occurred"},"message":{"type":"string","description":"Description of the error that occurred, aimed at API consumers"}}}},"responses":{"notFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Resource not found"}}},"paths":{"/organizations/{organizationId}/profile":{"get":{"operationId":"getBusinessProfile","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfile"}}},"description":"OK"},"404":{"$ref":"#/components/responses/notFound"}},"summary":"Get business profile","tags":["organization"]}}}}
```

## PATCH /organizations/{organizationId}/profile

> Update business profile

```json
{"openapi":"3.0.3","info":{"title":"Accounts","version":"v1"},"tags":[{"description":"Organizations are the top-level object for every customer. They contain the entities to work with the Nest services.","name":"organization"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"BusinessProfile":{"type":"object","title":"BusinessProfile","additionalProperties":false,"properties":{"id":{"description":"The profile ID","type":"string","format":"uuid"},"version":{"type":"integer","description":"The version of the business profile"},"name":{"type":"string","description":"The name under which this business is commonly referred to.","maxLength":256},"domain":{"$ref":"#/components/schemas/DomainName"},"legalName":{"type":"string","description":"The name under which this business is registered.","maxLength":256},"logoUrl":{"type":"string","pattern":"^|https://"},"socialMedia":{"type":"array","items":{"$ref":"#/components/schemas/BusinessProfileSocialMedia"},"nullable":true},"businessDetails":{"type":"object","title":"BusinessDetails","additionalProperties":false,"properties":{"entityType":{"type":"string"},"type":{"type":"string","description":"The business type.","enum":["unknown","public","private","personal","education","government","nonprofit"]},"incorporationJurisdiction":{"type":"string"},"registrationNumber":{"type":"string"},"taxIdentificationNumber":{"type":"string"},"vatNumber":{"type":"string"},"vatNumberStatus":{"type":"string","enum":["none","pending","valid","invalid"]},"lei":{"type":"string"},"duns":{"type":"string"},"giin":{"type":"string"},"industryGroup":{"type":"string"},"businessDescription":{"type":"string"},"goodsOrServicesDescription":{"type":"string"},"businessStartDate":{"type":"string"},"numberOfEmployees":{"type":"integer","format":"int32","minimum":0},"annualRevenue":{"type":"integer","format":"int64","minimum":0},"currency":{"type":"string"},"operatingCountries":{"type":"array","items":{"type":"string"},"nullable":true},"publiclyListed":{"type":"boolean"},"stockExchange":{"type":"string"},"tickerSymbol":{"type":"string"}}},"addressInformation":{"type":"object","title":"AddressInformation","additionalProperties":false,"properties":{"registeredAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"},"operatingAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"},"mailingAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"},"billingAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"}}},"contactInformation":{"type":"object","title":"ContactInformation","additionalProperties":false,"properties":{"primaryPhone":{"type":"string"},"secondaryPhone":{"type":"string"},"primaryEmail":{"type":"string"},"invoicingEmail":{"type":"string"},"website":{"type":"string","format":"uri"}}},"documents":{"type":"array","items":{"$ref":"#/components/schemas/BusinessProfileDocument"},"nullable":true},"ultimateBeneficialOwners":{"type":"array","items":{"$ref":"#/components/schemas/BusinessProfileUbo"},"nullable":true},"significantContacts":{"type":"object","title":"SignificantContacts","properties":{"contacts":{"type":"array","description":"Organization's significant contacts.","items":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string"},"email":{"type":"string"},"contactCategories":{"type":"array","items":{"type":"string"}},"phone":{"type":"string","maxLength":24}}}},"predefinedContactCategories":{"type":"array","items":{"type":"string","description":"Predefined contact categories. Ignored in update request."}}}}}},"DomainName":{"type":"string","description":"Domain name.","format":"domain","pattern":"^(([a-zA-Z0-9]([a-zA-Z0-9\\-]{0,61}[a-zA-Z0-9])?\\.)+[a-zA-Z]{2,})?$","maxLength":253},"BusinessProfileSocialMedia":{"type":"object","title":"BusinessProfileSocialMedia","description":"Social media links for the business profile","additionalProperties":false,"properties":{"platform":{"type":"string","description":"The social media platform","maxLength":64},"handle":{"type":"string","description":"The name or handle used on the platform","maxLength":256,"pattern":"^|[A-Za-z0-9_]+$"}}},"BusinessProfileAddress":{"type":"object","title":"BusinessProfileAddress","additionalProperties":false,"properties":{"streetName":{"type":"string","maxLength":256},"streetNumber":{"type":"string","maxLength":256},"city":{"type":"string","maxLength":256},"postalCode":{"type":"string","maxLength":256},"state":{"type":"string","maxLength":256},"countryCode":{"type":"string","description":"The ISO-3166-1 Alpha-2 code for the country.","pattern":"^|[A-Z]{2}$"},"addressType":{"type":"string","maxLength":256}}},"BusinessProfileDocument":{"type":"object","title":"BusinessProfileDocument","description":"Document details for the business profile","additionalProperties":false,"properties":{"fileUrls":{"type":"array","description":"List of URLs where the document can be accessed","items":{"type":"string","format":"uri"}},"documentType":{"type":"string","description":"Type of the document","maxLength":128}}},"BusinessProfileUbo":{"type":"object","title":"BusinessProfileUbo","description":"Ultimate Beneficial Owner (UBO) details for the business profile","additionalProperties":false,"properties":{"ownershipPercentage":{"type":"integer","description":"Percentage of ownership held by the UBO"},"ownershipType":{"type":"string","description":"Type of ownership"},"controlType":{"type":"string","description":"Type of control"},"personalInformation":{"type":"object","properties":{"title":{"type":"string"},"firstName":{"type":"string"},"middleName":{"type":"string"},"lastName":{"type":"string"},"fullName":{"type":"string"},"dateOfBirth":{"type":"string"},"placeOfBirth":{"type":"string"},"nationality":{"type":"string"},"citizenships":{"type":"array","items":{"type":"string"}},"gender":{"type":"string"},"maritalStatus":{"type":"string"},"identificationNumber":{"type":"string"}}},"identificationDocuments":{"type":"array","items":{"type":"object","properties":{"fileUrls":{"type":"array","items":{"type":"string"}},"documentType":{"type":"string"},"documentNumber":{"type":"string"},"issuingCountry":{"type":"string"},"issueDate":{"type":"string"},"expiryDate":{"type":"string"},"issuingAuthority":{"type":"string"}}}},"addressInformation":{"type":"object","properties":{"residentialAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"},"mailingAddress":{"$ref":"#/components/schemas/BusinessProfileAddress"}}},"contactInformation":{"type":"object","properties":{"primaryPhone":{"type":"string"},"primaryEmail":{"type":"string"},"preferredContactMethod":{"type":"string"}}},"employmentInformation":{"type":"object","properties":{"position":{"type":"string"},"employer":{"type":"string"},"employmentStartDate":{"type":"string"},"annualIncome":{"type":"integer","format":"int64"},"currency":{"type":"string"},"sourceOfWealth":{"type":"string"}}},"politicalExposure":{"type":"object","properties":{"isPoliticallyExposed":{"type":"boolean"},"pepCategory":{"type":"string"},"pepDetails":{"type":"string"},"familyMemberPep":{"type":"boolean"},"closeAssociatePep":{"type":"boolean"}}}}},"Error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Unique identifier for the error that occurred"},"message":{"type":"string","description":"Description of the error that occurred, aimed at API consumers"}}},"DetailedError":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Unique identifier for the error that occurred"},"message":{"type":"string","description":"Description of the error that occurred, aimed at API consumers"},"details":{"type":"object","description":"Detailed information on where the error exists, usually the field name on the request payload","additionalProperties":{"type":"array","description":"The error description for the specific detail","items":{"type":"string"}}}}}},"responses":{"notFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Resource not found"},"invalidRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DetailedError"}}},"description":"Request validation failed"}}},"paths":{"/organizations/{organizationId}/profile":{"patch":{"operationId":"updateBusinessProfile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfile"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfile"}}},"description":"OK"},"404":{"$ref":"#/components/responses/notFound"},"422":{"$ref":"#/components/responses/invalidRequest"}},"summary":"Update business profile","tags":["organization"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/api/accounts-api/api-reference/organizations/profile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
